set var_model    [examine /tb_ddr4_test/model_name]

set wave_pat {
/tb_ddr4_test/*
/tb_ddr4_test/uut/*
/tb_ddr4_test/uut/exerciser0_i/*
/tb_ddr4_test/uut/exerciser0_i/data_gen_inst/*
}

noview *
view signals
view structure
view wave -title "ddr4_test (Native) (${var_model})"

radix hex

foreach pattern $wave_pat {
  add wave -group $pattern $pattern
}

configure wave -signalnamewidth 1

set NumericStdNoWarnings 1
set StdArithNoWarnings 1
