
--------------------------------------------------------------------------------
--
-- Package Name      : mptl_pins
--
--                    Copyright 2009 by
--                    Alpha Data Parallel Systems Ltd.
--                    All Rights Reserved.
--
-- Original Author  : Andrew McCormick
-- Created          : 
--
-- Modified By      : 
-- Date             :
-- Change Notes     :     
--
-- Description      : 4 Lane GTP MPTL pin defintions
--
--
-- Dependencies     : 
--
-- Disclaimer       : THESE DESIGNS ARE PROVIDED "AS IS" WITH NO WARRANTY
--                    WHATSOEVER AND ALPHA DATA SPECIFICALLY DISCLAIMS ANY
--                    WARRANTIES IMPLIED OF MERCHANTABILITY, FITNESS FOR A
--                    PARTICULAR PURPOSE, OR AGAINST INFRINGEMENT.
--
--------------------------------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

package mptl_pins is

  type mptl_pins_type is record
    p             : std_logic_vector(3 downto 0);
    n             : std_logic_vector(3 downto 0);
  end record mptl_pins_type;

  type mptl_clk_type is record
    p : std_logic;
    n : std_logic;
  end record mptl_clk_type;
  
end package mptl_pins;
