proc build_project { } {
  set origin_dir [file dirname [file normalize [info script]]]
  set this_script [file tail [file normalize [info script]]]

  catch {close_project -quiet}

  set config [regsub -nocase {^build-} $this_script {}]
  set config [regsub -nocase {.tcl$} $config {}]
  if { [info exists ::env(ADMXRC3_PKG_TEST)] } {
    append config {-} [version -short]
  }
  set proj {dma_demo_pcie}
  open_project "$origin_dir/$config/${proj}.xpr"
  source "$origin_dir/do_build.tcl"
  close_project
}

build_project
