#ifndef _ADATA_ITEST_ITEST_H
#define _ADATA_ITEST_ITEST_H

#include <exappmessage.h>

using namespace AlphaData::AppFramework;

enum ExitCode {
  ExitCodeSuccess = 0,
  ExitCodeCannotOpenIndex = 100,
  ExitCodeCannotOpenSerial = 101,
  ExitCodeGetCardInfoFailed = 102,
  ExitCodeUnsupportedModel = 103,
  ExitCodeMapWindowFailed = 104,
  ExitCodeBadBitPath = 105,
  ExitCodeFpgaInfoFailed = 106,
  ExitCodeUnrecognizedFpga = 107,
  ExitCodeConfigureFpgaFailed = 108,
  ExitCodeLaunchThreadFailed = 109,
  ExitCodeInitializeThreadFailed = 110
};

#ifdef __cplusplus
extern "C" {
#endif

int /* ExitCode */
admxrc3ITestIndex(
  const TCHAR* pBitPath,
  const TCHAR* pBitFile,
  unsigned int index);

int /* ExitCode */
admxrc3ITestSN(
  const TCHAR* pBitPath,
  const TCHAR* pBitFile,
  uint32_t serialNumber);

#ifdef __cplusplus
}
#endif

extern CExAppMessageDisplay g_itestMessageDisplay;

#endif
